#include <iostream>

class some_exception {};
class other_exception {};

void handle_exception() {
	try {
		throw;
	} catch (some_exception&) {
		std::cout << "some_exception\n";
	} catch (other_exception&) {
		std::cout << "other_exception\n";
	}
}

void do_something() {
	throw some_exception();
}

int main() {
	try {
		do_something();
	} catch (...) {
		handle_exception();
	}
}
