#include <ctime>
#include <iostream>

struct timer {
	std::time_t start;
	int& result;
	timer(int& result)
	  : start(std::time(nullptr)), result(result) {}
	~timer() { result = std::time(nullptr) - start; }

	timer(const timer&) = delete;
	timer(timer&&) = delete;
	timer& operator=(const timer&) = delete;
	timer& operator=(timer&&) = delete;
};

void measure_response() {
	int d;
	std::cout << "Press enter: ";
	{
		timer t(d);
		std::cin.get();
	}
	std::cout << "Took you " << d << " seconds.\n";
}

int main() {
	measure_response();
}
