#include <fstream>
#include <iostream>
#include <stdexcept>
#include <string>

const int LOG_DEFAULT = 0;
const int LOG_VERBOSE = 1;

struct logger {
	logger(int /* level */) {
		throw std::runtime_error("Cannot open file");
	}
};

class app {
	logger log;

public:
	app()
	try : log(LOG_DEFAULT) {
		std::cout << "App started.\n";
	} catch (std::runtime_error& ex) {
		std::cerr << "Cannot start app: " << ex.what() << '\n';
		// implicit rethrow happens here
	}
};

int main() {
	try {
		app my_app;
	} catch (...) {
		std::cerr << "Something bad happened :-(\n";
	}
}
